Packages installed with ThoughtSpot for Amazon Linux 2

View the packages necessary to deploy ThoughtSpot with Amazon Linux 2.

To successfully deploy ThoughtSpot in your organization, you must have the following packages on each node of your ThoughtSpot cluster: yum, python 3, and R. When the Ansible playbook runs, it automatically installs them.

In 7.2.0 and earlier, ThoughtSpot works only with the specified version of each package. In 7.2.1 and later, ThoughtSpot works with the latest version.

  • Yum RPM packages

  • Python 2 packages

  • Python 3 packages

  • R packages

aide

0.15.1-13.el7

alsa-lib.x86_64

1.1.8-1.el7

amcheck_next95.x86_64

1.5-1.rhel7

ansible

2.9.3-1.el7

arp-scan

1.9.2-1.el7

atk.x86_64

2.28.1-1.el7

atop

2.4.0-4.el7

azure-cli

2.0.81-1.el7

bind-utils

32:9.11.4-9.P2.el7

cryptsetup

2.0.3-5.el7

cups-libs.x86_64

1:1.6.3-40.el7

curl

7.29.0-54.el7_7.2

cyrus-sasl

2.1.26-23.el7

cyrus-sasl-devel

2.1.26-23.el7

cyrus-sasl-plain

2.1.26-23.el7

dkms

2.7.1-1.el7

dmidecode

1:3.2-3.el7

dracut

033-564.el7

dracut-network

033-564.el7

dstat

0.7.2-12.el7

ethtool

2:4.8-10.el7

exfat-utils

1.2.7-1.el7.nux

fio

3.7-1.el7

fuse-exfat

1.2.7-1.el7.nux

gcc

4.8.5-39.el7

GConf2.x86_64

3.2.6-8.el7

glib2

2.56.1-5.el7

glibc-devel

2.17-292.el7

google-cloud-sdk

282.0.0-1

graphviz

2.30.1-21.el7

gtk3.x86_64

3.22.30-3.el7

htop

2.2.0-3.el7

http-parser

2.7.1-8.el7

httpd-tools

2.4.6-90.el7

ipa-gothic-fonts

003.03-5.el7

iperf3

3.1.7-2.el7

ipmitool

1.8.18-7.el7

libcap

2.22-10.el7

libcurl-devel

7.29.0-54.el7_7.2

libffi-devel

3.0.13-18.el7

libgit2-devel

0.26.6-1.el7

libXcomposite.x86_64

0.4.4-4.1.el7

libXcursor.x86_64

1.1.15-1.el7

libXdamage.x86_64

1.1.4-4.1.el7

libXext.x86_64

1.3.3-3.el7

libXi.x86_64

1.7.9-1.el7

libxml2-devel

2.9.1-6.el7_2.3

libXrandr.x86_64

1.5.1-2.el7

libXScrnSaver.x86_64

1.2.2-6.1.el7

libXtst.x86_64

1.2.3-1.el7

lsof

4.87-6.el7

lsscsi

0.27-6.el7

lynx

2.8.8-0.3.dev15.el7

mutt

5:1.5.21-28.el7_5

nc

2:6.40-19.el7

net-tools

2.0-0.25.20131004git.el7

nmap

2:6.40-19.el7

ntfs-3g

2:2017.3.23-11.el7

ntfsprogs

2:2017.3.23-11.el7

ntp

4.2.6p5-29.el7

open-vm-tools

10.3.0-2.el7_7.1

openssh

7.4p1-21.el7

openssh-clients

7.4p1-21.el7

openssl-devel

1:1.0.2k-19.el7

openssl-devel

1:1.0.2k-19.el7

pango.x86_64

1.42.4-4.el7_7

parted

3.1-31.el7

pciutils

3.5.1-3.el7

perf

3.10.0-1062.12.1.el7

pigz

2.3.4-1.el7

postfix

2:2.10.1-7.el7

postgresql95-contrib

9.5.21-1PGDG.rhel7

postgresql95-devel

9.5.21-1PGDG.rhel7

postgresql95-libs

9.5.21-1PGDG.rhel7

postgresql95-server

9.5.21-1PGDG.rhel7

postgresql11-contrib

11.11-1PGDG.rhel7

postgresql11-devel

11.11-1PGDG.rhel7

postgresql11-libs

11.11-1PGDG.rhel7

postgresql11-server

11.11-1PGDG.rhel7

psmisc

22.20-16.el7

pssh

2.3.1-7.el7.nux

python-devel

2.7.5-86.el7

python-psycopg2

2.8.3-3.rhel7

python2-cryptography

1.7.2-2.el7

python2-pip

8.1.2-12.el7

python3

3.6.8-10.el7. Note that you cannot use python3 version 3.7.0 or later.

python3-devel

3.6.8-10.el7. Note that you cannot use python3 version 3.7.0 or later.

R

3.6.0-1.el7

R-devel

3.6.0-1.el7

redhat-lsb

4.1-27.el7

redis

3.2.12-2.el7

rsyslog

8.24.0-41.el7_7.2

samba-client

4.9.1-10.el7_7

screen

4.1.0-0.25.20120314git3c2946.el7

sg3_utils

1.37-18.el7_7.2

snappy-devel

1.1.0-3.el7

strace

4.12-9.el7

strongswan

5.7.2-1.el7

sysstat

10.1.5-18.el7

telnet

1:0.17-64.el7

tinyproxy

1:8.5.13-6.el7

tmux

1.8-4.el7

unzip

6.0-20.el7

util-linux

2.23.2-61.el7_7.1

uuid

1.6.2-26.el7

vim

2:7.4.629-6.el7

vnc-server

1.8.0-17.el7

vnstat

1.15-2.el7

wget

1.14-18.el7_6.1

xorg-x11-fonts-100dpi

7.5-9.el7

xorg-x11-fonts-75dpi

7.5-9.el7

xorg-x11-fonts-cyrillic

7.5-9.el7

xorg-x11-fonts-misc

7.5-9.el7

xorg-x11-fonts-Type1

7.5-9.el7

xorg-x11-utils

7.7-20.el7

yum-plugin-versionlock

1.1.31-52.el7

zip

3.0-11.el7

zsh

5.0.2-33.el7

setuptools

27.1.2

aws-cfn-bootstrap

1.4.post31

awscli

1.11.105

boto3

1.7.50

category-encoders

1.3.0

cffi

1.11.5

configobj

5.0.6

crypto

1.4.1

cryptography

2.3.1

openpyxl

2.6.3

csvkit

1.0.3

git

https://github.com/thoughtspot/Diamond.git

egnyte

0.5.3

enum34

1.1.6

eventlet

0.19.0

Flask

1.0.2

fping

0.0.1a2

greenlet

0.4.9

idna

2.5

influxdb

4.1.1

ipaddress

1.0.16

ipython

4.2.0

matplotlib

2.2.3

ndg-httpsclient

0.4.0

numpy

1.14.5

pandas

0.23.4

paramiko

2.4.1

pexpect

4.1.0

pika

0.10.0

psutil

4.2.0

psycopg2

2.7.1

pyasn1

0.4.1

pycparser

2.14

pycrypto

2.6.1

pydot

1.4.1

pyOpenSSL

17.1.0

python-gflags

3.0.5

python-ldap

2.4.25

pytz

2016.4

requests

2.17.0

rsa

3.4.2

scipy

1.0.0

six

1.10.0

scikit-learn

0.19.1

statsmodels

0.10.2

toml

0.10.0

xgboost

0.72.1

ansible

2.7.7

mock

3.0.5

kiwisolver

1.1.0

agate-dbf

0.2.1

agate-excel

0.2.3

agate-sql

0.5.4

agate

1.6.1

ansible

2.8.5

asn1crypto

0.24.0

awscli

1.20.26

Babel

2.7.0

backcall

0.1.0

bcrypt

3.1.7

boto3

1.18.25

botocore

1.21.26

category-encoders

2.0.0

certifi

2019.9.11

cffi

1.12.3

chardet

3.0.4

Click

7.0

colorama

0.3.9

configobj

5.0.6

crypto

1.4.1

cryptography

2.7

csvkit

1.0.4

cycler

0.10.0

dbfread

2.0.7

decorator

4.4.0

dnspython

1.16.0

docutils

0.15.2

egnyte

0.5.3

enum34

1.1.6

et-xmlfile

1.0.1

eventlet

0.19.0

Flask

1.1.2

fping

0.0.1a2

future

0.17.1

greenlet

0.4.15

idna

2.8

influxdb

5.2.3

ipaddress

1.0.22

ipython-genutils

0.2.0

ipython

7.8.0

isodate

0.6.0

itsdangerous

1.1.0

jdcal

1.4.1

jedi

0.15.1

Jinja2

2.10.1

jmespath

0.9.4

joblib

0.13.2

kiwisolver

1.1.0

leather

0.3.3

MarkupSafe

1.1.1

matplotlib

3.1.1

monotonic

1.5

Naked

0.1.31

ndg-httpsclient

0.5.1

netaddr

0.7.19

numpy

1.17.2

openpyxl

2.6.3

pandas

0.25.1

paramiko

2.6.0

parsedatetime

2.4

parso

0.5.1

patsy

0.5.1

pexpect

4.7.0

pickleshare

0.7.5

pika

1.1.0

prompt-toolkit

2.0.9

psutil

5.6.3

psycopg2

2.8.3

ptyprocess

0.6.0

pyasn1-modules

0.2.6

pyasn1

0.4.7

pycparser

2.19

pycrypto

2.6.1

pydot

1.4.1

Pygments

2.4.2

PyNaCl

1.3.0

pyOpenSSL

19.0.0

pyparsing

2.4.2

python-dateutil

2.8.0

python-gflags

3.1.2

python-ldap

3.2.0

python-slugify

3.0.3

pytimeparse

1.1.8

pytz

2019.2

PyYAML

5.1.2

requests

2.22.0

rsa

3.4.2

s3transfer

0.2.1

scikit-learn

0.21.3

scipy

1.3.1

shellescape

3.4.1

six

1.12.0

SQLAlchemy

1.3.8

statsmodels

0.10.1

text-unidecode

1.2

toml

0.10.0

traitlets

4.3.2

urllib3

1.25.4

wcwidth

0.1.7

Werkzeug

0.15.6

xgboost

0.90

xlrd

1.2.0

Download: R RPM package list.

broom

0.7.9

EnvStats

2.3.1

forecast

8.15

ggplot2

3.3.5

ggpubr

0.2.5

import

1.1.0

lubridate

1.8.0

magrittr

1.5

padr

0.6.0

Rserve

1.7.3.1

timetk

0.1.2

TSA

1.2

tseries

0.10.47

xts

0.12.0